public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: dev-lisp/PSL/files/, dev-lisp/PSL/
@ 2022-03-26  0:31 Ronny Gutbrod
  0 siblings, 0 replies; only message in thread
From: Ronny Gutbrod @ 2022-03-26  0:31 UTC (permalink / raw
  To: gentoo-commits

commit:     f69e87993b67dd0eec87b107856549b5f4e2a70c
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Fri Mar 25 23:24:24 2022 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Sat Mar 26 00:09:36 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f69e8799

dev-lisp/PSL: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-lisp/PSL/Manifest                              |  1 +
 dev-lisp/PSL/PSL-6.1_p20210604.ebuild              | 45 +++++++++++++++++
 .../files/PSL-6.1_p20210604-respect-flags.patch    | 56 ++++++++++++++++++++++
 dev-lisp/PSL/metadata.xml                          | 11 +++++
 4 files changed, 113 insertions(+)

diff --git a/dev-lisp/PSL/Manifest b/dev-lisp/PSL/Manifest
new file mode 100644
index 000000000..1f6abbefd
--- /dev/null
+++ b/dev-lisp/PSL/Manifest
@@ -0,0 +1 @@
+DIST PSL-6.1_p20210604.tar.gz 391030 BLAKE2B 7a26d6c03a9533e43075d545da692917225bd50206202212f0cccb9ae881f0f137c4b496a53972d542e45687146f35026a559ff72de03766e7aadd191bbadd05 SHA512 65f4892699a4574d130c606904ba18c8ecda128e4b01286256266eccc4c980173e1eeb2aec83f2629dff63834b69c6a938964ef2e239accbf745abcc29d51628

diff --git a/dev-lisp/PSL/PSL-6.1_p20210604.ebuild b/dev-lisp/PSL/PSL-6.1_p20210604.ebuild
new file mode 100644
index 000000000..081af787f
--- /dev/null
+++ b/dev-lisp/PSL/PSL-6.1_p20210604.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+COMMIT="f489ea67801d04d44cc65d63365d187cdd58dbe9"
+
+DESCRIPTION="Portable Standard Lisp"
+HOMEPAGE="https://github.com/blakemcbride/PSL"
+SRC_URI="https://github.com/blakemcbride/PSL/archive/${COMMIT}.tar.gz -> ${PF}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+IUSE="doc"
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=""
+RDEPEND=""
+BDEPEND="
+	doc? (
+		app-text/texlive-core
+		dev-texlive/texlive-latex
+	)
+"
+
+DOCS=( README.md README.2 manual/sl.pdf manual/lispman.pdf )
+PATCHES="${FILESDIR}/${P}-respect-flags.patch"
+
+src_compile() {
+	default
+	emake sizes
+	if use doc; then
+		pushd manual || die
+		emake all
+		popd || die
+	fi
+}
+
+src_install() {
+	newbin lisp standardlisp
+	exeinto "/usr/libexec/${PN}"
+	doexe sizes
+	einstalldocs
+}

diff --git a/dev-lisp/PSL/files/PSL-6.1_p20210604-respect-flags.patch b/dev-lisp/PSL/files/PSL-6.1_p20210604-respect-flags.patch
new file mode 100644
index 000000000..52b368dbe
--- /dev/null
+++ b/dev-lisp/PSL/files/PSL-6.1_p20210604-respect-flags.patch
@@ -0,0 +1,56 @@
+--- a/Makefile
++++ b/Makefile
+@@ -11,10 +11,10 @@
+ all: lisp lispc LISP-INI
+ 
+ lisp : lisp1.o lisp2.o crc cri
+-	gcc -ggdb -O0 -o lisp lisp1.o lisp2.o -lm
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -o lisp lisp1.o lisp2.o -lm
+ 
+ lispc : lisp1c.o lisp2.o lispc1.o
+-	gcc -o $@ $^ -lm
++	${CC} ${CFLAGS} -fPIC -o $@ $^ -lm
+ 	./cri comp
+ 
+ LISP-INI : $(COMPILER_FILES) cri
+@@ -34,25 +34,25 @@
+ 	./crc comp
+ 
+ lisp1.o : lisp1.c
+-	gcc -ggdb -O0 -Wall -pedantic -c lisp1.c
++	${CC} ${CFLAGS} -fPIC -Wall -pedantic -c lisp1.c
+ 
+ lisp2.o : lisp2.c
+-	gcc -ggdb -O0 -Wall -pedantic -Wno-parentheses -c lisp2.c
++	${CC} ${CFLAGS} -fPIC -Wall -pedantic -Wno-parentheses -c lisp2.c
+ 
+ $(COMPILER_FILES): compiler.lsp lap.lsp lisp
+ 	./compile-compiler
+ 
+ cr1 : cr1.c crfile.h
+-	gcc -Wall -pedantic -o cr1 cr1.c
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -Wall -pedantic -o cr1 cr1.c
+ 
+ cr2 : cr2.c crfile.h
+-	gcc -Wall -pedantic -o cr2 cr2.c
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -Wall -pedantic -o cr2 cr2.c
+ 
+ crc : crc.c crfile.h
+-	gcc -Wall -pedantic -o crc crc.c
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -Wall -pedantic -o crc crc.c
+ 
+ cri : cri.c
+-	gcc -Wall -pedantic -o cri cri.c
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -Wall -pedantic -o cri cri.c
+ 
+ clean:
+ 	rm -f lisp*.c *.o *~ *.bak
+@@ -62,7 +62,7 @@
+ 	rm -f lisp lispc cr? LISP-INI
+ 
+ sizes :  sizes.c flags.l
+-	gcc -Wall -pedantic -o sizes sizes.c
++	${CC} ${CFLAGS} ${LDFLAGS} -fPIE -Wall -pedantic -o sizes sizes.c
+ 
+ install: lisp
+ 	mv lisp /usr/local/bin

diff --git a/dev-lisp/PSL/metadata.xml b/dev-lisp/PSL/metadata.xml
new file mode 100644
index 000000000..855f88ab8
--- /dev/null
+++ b/dev-lisp/PSL/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>lssndrbarbieri@gmail.com</email>
+    <name>Alessandro Barbieri</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">blakemcbride/PSL</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-03-26  0:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-03-26  0:31 [gentoo-commits] repo/proj/guru:master commit in: dev-lisp/PSL/files/, dev-lisp/PSL/ Ronny Gutbrod

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox